| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
optoICC.icc4c.ICC4cBoard Class Reference

Parent class => Board
More...

Inheritance diagram for optoICC.icc4c.ICC4cBoard:

## Public Member Functions
| __init__ (self, str or None port=None, int baudrate=256000, bool comm_lock=True, bool verbose=False, bool simple=False, bool board_reset=False, float inter_byte_timeout=0.2, device_platform=DevicePlatform.ALL)

## Public Attributes
| Status
| => ICCStatus
| TemperatureManager
| => ICCTemperatureManager
| MiscFeatures
| => ICCMiscFeatures
| Logger
| => Logger
| SnapshotManager
| => SnapshotManager
| Channel_0
| => ICC4cChannel
| Channel_1
| => ICC4cChannel
| Channel_2
| => ICC4cChannel
| Channel_3
| => ICC4cChannel
| channel
| all available channels array of type => ICC4cChannel
| EEPROM
| => ICCBoardEEPROM
| SignalFlowManager
| => SignalFlowManager
| VectorPatternMemory
| => VectorPatternMemory
| ADCcontrol
| => ADCcontrol
| DACcontrol
| => DACcontrol
| SmartStep
| => SmartStepManager
| InertialMeasurementUnit
| => InertialMeasurementUnit
| SarynControl
| => SarynControl

## Detailed Description

Parent class => Board

        Board object from which to issue ICC-4C commands over a serial connection.

        Parameters
        ----------
        port, baudrate, comm_lock, verbose
        Standard serial connection parameters. Extended from Connection class.
        simple: bool, optional = False
        Determines whether or not Board will be set in simple-mode after initialization.
        board_reset: bool, optional = False
        Determines whether or not to reset the Board during initialization.
        Raises
        ------
        none

        Notes
        -----
        Board extends Connection class. Refer to Connection for methods, parameters, etc.
        Board inherits Commands. Refer to Commands for methods, parameters, etc.

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.icc4c.ICC4cBoard.__init__ | ( |  | self,
|  | str or None | port = None,
|  | int | baudrate = 256000,
|  | bool | comm_lock = True,
|  | bool | verbose = False,
|  | bool | simple = False,
|  | bool | board_reset = False,
|  | float | inter_byte_timeout = 0.2,
|  |  | device_platform = DevicePlatform.ALL )

## Member Data Documentation

## ◆ ADCcontrol

optoICC.icc4c.ICC4cBoard.ADCcontrol

=> ADCcontrol

## ◆ channel

optoICC.icc4c.ICC4cBoard.channel

all available channels array of type => ICC4cChannel

## ◆ Channel_0

optoICC.icc4c.ICC4cBoard.Channel_0

=> ICC4cChannel

## ◆ Channel_1

optoICC.icc4c.ICC4cBoard.Channel_1

=> ICC4cChannel

## ◆ Channel_2

optoICC.icc4c.ICC4cBoard.Channel_2

=> ICC4cChannel

## ◆ Channel_3

optoICC.icc4c.ICC4cBoard.Channel_3

=> ICC4cChannel

## ◆ DACcontrol

optoICC.icc4c.ICC4cBoard.DACcontrol

=> DACcontrol

## ◆ EEPROM

optoICC.icc4c.ICC4cBoard.EEPROM

=> ICCBoardEEPROM

## ◆ InertialMeasurementUnit

optoICC.icc4c.ICC4cBoard.InertialMeasurementUnit

=> InertialMeasurementUnit

## ◆ Logger

optoICC.icc4c.ICC4cBoard.Logger

=> Logger

## ◆ MiscFeatures

optoICC.icc4c.ICC4cBoard.MiscFeatures

=> ICCMiscFeatures

## ◆ SarynControl

optoICC.icc4c.ICC4cBoard.SarynControl

=> SarynControl

## ◆ SignalFlowManager

optoICC.icc4c.ICC4cBoard.SignalFlowManager

=> SignalFlowManager

## ◆ SmartStep

optoICC.icc4c.ICC4cBoard.SmartStep

=> SmartStepManager

## ◆ SnapshotManager

optoICC.icc4c.ICC4cBoard.SnapshotManager

=> SnapshotManager

## ◆ Status

optoICC.icc4c.ICC4cBoard.Status

=> ICCStatus

## ◆ TemperatureManager

optoICC.icc4c.ICC4cBoard.TemperatureManager

=> ICCTemperatureManager

## ◆ VectorPatternMemory

optoICC.icc4c.ICC4cBoard.VectorPatternMemory

=> VectorPatternMemory

The documentation for this class was generated from the following file:

- C:/git/145-713-00_optoICC/src/main/python/optoICC/icc4c.py